Skip to main content
GET
/
coupon-associations
/
{id}
Get coupon association
curl --request GET \
  --url https://us.api.flexprice.io/v1/coupon-associations/{id} \
  --header 'x-api-key: <api-key>'
{
  "coupon": {
    "amount_off": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "currency": "<string>",
    "duration_in_periods": 123,
    "environment_id": "<string>",
    "id": "<string>",
    "max_redemptions": 123,
    "metadata": {},
    "name": "<string>",
    "percentage_off": "<string>",
    "redeem_after": "<string>",
    "redeem_before": "<string>",
    "rules": {},
    "tenant_id": "<string>",
    "total_redemptions": 123,
    "updated_at": "2023-11-07T05:31:56Z",
    "updated_by": "<string>"
  },
  "coupon_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "end_date": "2023-11-07T05:31:56Z",
  "environment_id": "<string>",
  "id": "<string>",
  "metadata": {},
  "start_date": "2023-11-07T05:31:56Z",
  "subscription_id": "<string>",
  "subscription_line_item_id": "<string>",
  "subscription_phase_id": "<string>",
  "tenant_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Coupon Association ID

Response

OK

coupon
object
coupon_id
string
created_at
string<date-time>
created_by
string
end_date
string<date-time>

Optional

environment_id
string
id
string
metadata
object
start_date
string<date-time>
status
enum<string>
Available options:
published,
deleted,
archived
subscription_id
string

Mandatory

subscription_line_item_id
string

Optional

subscription_phase_id
string

Optional

tenant_id
string
updated_at
string<date-time>
updated_by
string